Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.iiop.codebase
Class CodebasePolicy

    java.lang.Object
      org.omg.CORBA.LocalObject
          org.jboss.iiop.codebase.CodebasePolicy

All Implemented Interfaces:
  IDLEntity, Object, Policy, PolicyOperations, Serializable

public class CodebasePolicy
extends LocalObject
implements Policy

Implements `org.omg.CORBA.Policy` objects containing codebase strings.

Version:
  $Revision: 1.1 $
Author:
  Francisco Reverbel
See Also:
  Serialized Form

Field Summary
`static int` | `TYPE`

Constructor Summary
`CodebasePolicy(String codebase)`

Method Summary
`Policy` | `copy()` Returns a copy of the Policy object.
`void` | `destroy()` Destroys the Policy object.
`String` | `getCodebase()` Returns the codebase string contained in this Policy.
`int` | `policy_type()` Returns the constant value that corresponds to the type of the policy object.
`String` | `toString()`

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### CodebasePolicy

    public CodebasePolicy(String codebase)

Method Detail

### getCodebase

    public String getCodebase()

  Returns the codebase string contained in this Policy.

### copy

    public Policy copy()

  Returns a copy of the Policy object.

  Specified by:
    `copy` in interface `PolicyOperations`

### destroy

    public void destroy()

  Destroys the Policy object.

  Specified by:
    `destroy` in interface `PolicyOperations`

### policy_type

    public int policy_type()

  Returns the constant value that corresponds to the type of the policy object.

  Specified by:
    `policy_type` in interface `PolicyOperations`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.